Subject: bug#45013: closed (Re: bug#45013: Using a different tags program)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Dec 2020 02:15:03 +0000

Your bug report

#45013: Using a different tags program

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45013: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45013
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45013: Using a different tags program
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 5 Dec 2020 19:14:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    I have looked into it and attach a trivial patch, which works nicely.

Excellent, thanks much.

    It's not obvious to me whether any documentation is required; 

Yeah. The existing Tags node was rather inconsistent about mentioning
the various variables. I took the opportunity to tweak the text
there, and committed it all together (hope you don't mind).

BTW, it seems you reversed which file got which change (and it's tags.am
not tags.m4). I just changed the text around.

Thanks again (and closing),
Karl

Subject: Using a different tags program
From: Reuben Thomas <[email-masked]>
To: bug-automake <[email-masked]>
Date: Wed, 2 Dec 2020 18:01:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

There doesn't seem to be a way for the user to configure a different ctags
program, unless I'm overlooking something? Passing "CTAGS=foo" to configure
has no effect; it seems that all one can do is pass "CTAGS=foo" to make
every time one runs "make tags".

-- 
https://rrt.sc3d.org